Subject: Re: [bug?] bio: add experimental support for inlining a number of bio_vecs inside the bio

From: KOSAKI Motohiro <[email-masked]>
Date: Thu, 11 Dec 2008 09:39:23 +0900 (JST)

> > experimental??
> 
> Experimental in the sense that it's the first version, not the concept.
> It's held up well for me, but just yesterday I received the first bug
> report on a ppc platform and now you have this on ia64. Can you pin
> point where in __blk_complete_request() it dies with the NULL pointer
> deref? I'm assuming you don't have CONFIG_FAIL_IO_TIMEOUT set, otherwise
> I don't see how it could fail. So that looks like req->q being NULL,
> which doesn't have much relation to this.
> 
> Can you try with slab and pagealloc debugging options switched on? The
> above looks like a side effect of some badness there.

Yes, I don't set CONFIG_FAIL_IO_TIMEOUT.
However, your memory corruption fixing patch solve my problem too.

	http://marc.info/?l=linux-kernel&m=122891947725303&w=2

Thanks.